Index: trunk/source/geometry/magneticfield/include/G4CashKarpRKF45.hh
===================================================================
--- trunk/source/geometry/magneticfield/include/G4CashKarpRKF45.hh	(revision 1202)
+++ trunk/source/geometry/magneticfield/include/G4CashKarpRKF45.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4CashKarpRKF45.hh,v 1.11 2008/01/11 15:23:54 japost Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/magneticfield/include/G4ChordFinder.hh
===================================================================
--- trunk/source/geometry/magneticfield/include/G4ChordFinder.hh	(revision 1202)
+++ trunk/source/geometry/magneticfield/include/G4ChordFinder.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ChordFinder.hh,v 1.21 2008/10/29 14:17:42 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // 
Index: trunk/source/geometry/magneticfield/include/G4ChordFinder.icc
===================================================================
--- trunk/source/geometry/magneticfield/include/G4ChordFinder.icc	(revision 1202)
+++ trunk/source/geometry/magneticfield/include/G4ChordFinder.icc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ChordFinder.icc,v 1.14 2008/10/29 14:34:35 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // G4ChordFinder inline implementations
Index: trunk/source/geometry/magneticfield/include/G4ChordFinderSaf.hh
===================================================================
--- trunk/source/geometry/magneticfield/include/G4ChordFinderSaf.hh	(revision 1202)
+++ trunk/source/geometry/magneticfield/include/G4ChordFinderSaf.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4ChordFinderSaf.hh,v 1.4 2008/09/12 16:12:18 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // 
Index: trunk/source/geometry/magneticfield/include/G4ClassicalRK4.hh
===================================================================
--- trunk/source/geometry/magneticfield/include/G4ClassicalRK4.hh	(revision 1202)
+++ trunk/source/geometry/magneticfield/include/G4ClassicalRK4.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ClassicalRK4.hh,v 1.10 2006/06/29 18:21:55 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/magneticfield/include/G4ConstRK4.hh
===================================================================
--- trunk/source/geometry/magneticfield/include/G4ConstRK4.hh	(revision 1202)
+++ trunk/source/geometry/magneticfield/include/G4ConstRK4.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ConstRK4.hh,v 1.2 2008/10/29 14:17:42 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // 
Index: trunk/source/geometry/magneticfield/include/G4DELPHIMagField.hh
===================================================================
--- trunk/source/geometry/magneticfield/include/G4DELPHIMagField.hh	(revision 1202)
+++ trunk/source/geometry/magneticfield/include/G4DELPHIMagField.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4DELPHIMagField.hh,v 1.4 2006/06/29 18:21:57 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/magneticfield/include/G4ElectricField.hh
===================================================================
--- trunk/source/geometry/magneticfield/include/G4ElectricField.hh	(revision 1202)
+++ trunk/source/geometry/magneticfield/include/G4ElectricField.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ElectricField.hh,v 1.2 2006/06/29 18:21:59 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/magneticfield/include/G4ElectroMagneticField.hh
===================================================================
--- trunk/source/geometry/magneticfield/include/G4ElectroMagneticField.hh	(revision 1202)
+++ trunk/source/geometry/magneticfield/include/G4ElectroMagneticField.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ElectroMagneticField.hh,v 1.11 2006/06/29 18:22:01 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/magneticfield/include/G4EqEMFieldWithSpin.hh
===================================================================
--- trunk/source/geometry/magneticfield/include/G4EqEMFieldWithSpin.hh	(revision 1202)
+++ trunk/source/geometry/magneticfield/include/G4EqEMFieldWithSpin.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4EqEMFieldWithSpin.hh,v 1.3 2008/11/14 13:37:09 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/magneticfield/include/G4EqMagElectricField.hh
===================================================================
--- trunk/source/geometry/magneticfield/include/G4EqMagElectricField.hh	(revision 1202)
+++ trunk/source/geometry/magneticfield/include/G4EqMagElectricField.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4EqMagElectricField.hh,v 1.9 2006/06/29 18:22:03 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/magneticfield/include/G4EquationOfMotion.hh
===================================================================
--- trunk/source/geometry/magneticfield/include/G4EquationOfMotion.hh	(revision 1202)
+++ trunk/source/geometry/magneticfield/include/G4EquationOfMotion.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4EquationOfMotion.hh,v 1.10 2006/06/29 18:22:05 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/magneticfield/include/G4EquationOfMotion.icc
===================================================================
--- trunk/source/geometry/magneticfield/include/G4EquationOfMotion.icc	(revision 1202)
+++ trunk/source/geometry/magneticfield/include/G4EquationOfMotion.icc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4EquationOfMotion.icc,v 1.9 2006/06/29 18:22:07 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/magneticfield/include/G4ErrorMag_UsualEqRhs.hh
===================================================================
--- trunk/source/geometry/magneticfield/include/G4ErrorMag_UsualEqRhs.hh	(revision 1202)
+++ trunk/source/geometry/magneticfield/include/G4ErrorMag_UsualEqRhs.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ErrorMag_UsualEqRhs.hh,v 1.1 2007/05/16 12:54:02 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/magneticfield/include/G4ExactHelixStepper.hh
===================================================================
--- trunk/source/geometry/magneticfield/include/G4ExactHelixStepper.hh	(revision 1202)
+++ trunk/source/geometry/magneticfield/include/G4ExactHelixStepper.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4ExactHelixStepper.hh,v 1.5 2007/05/18 12:50:31 tnikitin Exp $ 
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/magneticfield/include/G4ExplicitEuler.hh
===================================================================
--- trunk/source/geometry/magneticfield/include/G4ExplicitEuler.hh	(revision 1202)
+++ trunk/source/geometry/magneticfield/include/G4ExplicitEuler.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ExplicitEuler.hh,v 1.9 2006/06/29 18:22:11 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/magneticfield/include/G4Field.hh
===================================================================
--- trunk/source/geometry/magneticfield/include/G4Field.hh	(revision 1202)
+++ trunk/source/geometry/magneticfield/include/G4Field.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4Field.hh,v 1.10 2006/06/29 18:22:13 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/magneticfield/include/G4FieldManager.hh
===================================================================
--- trunk/source/geometry/magneticfield/include/G4FieldManager.hh	(revision 1202)
+++ trunk/source/geometry/magneticfield/include/G4FieldManager.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4FieldManager.hh,v 1.16 2006/06/29 18:22:15 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //  
Index: trunk/source/geometry/magneticfield/include/G4FieldManager.icc
===================================================================
--- trunk/source/geometry/magneticfield/include/G4FieldManager.icc	(revision 1202)
+++ trunk/source/geometry/magneticfield/include/G4FieldManager.icc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4FieldManager.icc,v 1.12 2006/06/29 18:22:18 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/magneticfield/include/G4FieldManagerStore.hh
===================================================================
--- trunk/source/geometry/magneticfield/include/G4FieldManagerStore.hh	(revision 1202)
+++ trunk/source/geometry/magneticfield/include/G4FieldManagerStore.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4FieldManagerStore.hh,v 1.3 2008/01/17 09:39:08 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // class G4FieldManagerStore
Index: trunk/source/geometry/magneticfield/include/G4FieldTrack.hh
===================================================================
--- trunk/source/geometry/magneticfield/include/G4FieldTrack.hh	(revision 1202)
+++ trunk/source/geometry/magneticfield/include/G4FieldTrack.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4FieldTrack.hh,v 1.21 2006/11/13 18:24:35 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/magneticfield/include/G4FieldTrack.icc
===================================================================
--- trunk/source/geometry/magneticfield/include/G4FieldTrack.icc	(revision 1202)
+++ trunk/source/geometry/magneticfield/include/G4FieldTrack.icc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4FieldTrack.icc,v 1.21 2006/11/13 18:24:35 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/geometry/magneticfield/include/G4HarmonicPolMagField.hh
===================================================================
--- trunk/source/geometry/magneticfield/include/G4HarmonicPolMagField.hh	(revision 1202)
+++ trunk/source/geometry/magneticfield/include/G4HarmonicPolMagField.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4HarmonicPolMagField.hh,v 1.4 2006/06/29 18:22:24 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // class G4HarmonicPolMagField
Index: trunk/source/geometry/magneticfield/include/G4HelixExplicitEuler.hh
===================================================================
--- trunk/source/geometry/magneticfield/include/G4HelixExplicitEuler.hh	(revision 1202)
+++ trunk/source/geometry/magneticfield/include/G4HelixExplicitEuler.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4HelixExplicitEuler.hh,v 1.9 2007/08/21 08:52:00 tnikitin Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/magneticfield/include/G4HelixHeum.hh
===================================================================
--- trunk/source/geometry/magneticfield/include/G4HelixHeum.hh	(revision 1202)
+++ trunk/source/geometry/magneticfield/include/G4HelixHeum.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4HelixHeum.hh,v 1.8 2006/06/29 18:22:36 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/magneticfield/include/G4HelixImplicitEuler.hh
===================================================================
--- trunk/source/geometry/magneticfield/include/G4HelixImplicitEuler.hh	(revision 1202)
+++ trunk/source/geometry/magneticfield/include/G4HelixImplicitEuler.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4HelixImplicitEuler.hh,v 1.8 2006/06/29 18:22:38 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/magneticfield/include/G4HelixSimpleRunge.hh
===================================================================
--- trunk/source/geometry/magneticfield/include/G4HelixSimpleRunge.hh	(revision 1202)
+++ trunk/source/geometry/magneticfield/include/G4HelixSimpleRunge.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4HelixSimpleRunge.hh,v 1.7 2006/06/29 18:22:41 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/magneticfield/include/G4ImplicitEuler.hh
===================================================================
--- trunk/source/geometry/magneticfield/include/G4ImplicitEuler.hh	(revision 1202)
+++ trunk/source/geometry/magneticfield/include/G4ImplicitEuler.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ImplicitEuler.hh,v 1.8 2006/06/29 18:22:44 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/magneticfield/include/G4LineCurrentMagField.hh
===================================================================
--- trunk/source/geometry/magneticfield/include/G4LineCurrentMagField.hh	(revision 1202)
+++ trunk/source/geometry/magneticfield/include/G4LineCurrentMagField.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4LineCurrentMagField.hh,v 1.4 2006/06/29 18:22:46 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/magneticfield/include/G4LineSection.hh
===================================================================
--- trunk/source/geometry/magneticfield/include/G4LineSection.hh	(revision 1202)
+++ trunk/source/geometry/magneticfield/include/G4LineSection.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4LineSection.hh,v 1.9 2006/06/29 18:22:48 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/magneticfield/include/G4MagErrorStepper.hh
===================================================================
--- trunk/source/geometry/magneticfield/include/G4MagErrorStepper.hh	(revision 1202)
+++ trunk/source/geometry/magneticfield/include/G4MagErrorStepper.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4MagErrorStepper.hh,v 1.11 2006/06/29 18:22:50 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/magneticfield/include/G4MagErrorStepper.icc
===================================================================
--- trunk/source/geometry/magneticfield/include/G4MagErrorStepper.icc	(revision 1202)
+++ trunk/source/geometry/magneticfield/include/G4MagErrorStepper.icc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4MagErrorStepper.icc,v 1.13 2006/06/29 18:22:52 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // --------------------------------------------------------------------
Index: trunk/source/geometry/magneticfield/include/G4MagHelicalStepper.hh
===================================================================
--- trunk/source/geometry/magneticfield/include/G4MagHelicalStepper.hh	(revision 1202)
+++ trunk/source/geometry/magneticfield/include/G4MagHelicalStepper.hh	(revision 1228)
@@ -27,5 +27,5 @@
 //
 // $Id: G4MagHelicalStepper.hh,v 1.15 2007/08/21 08:48:28 tnikitin Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/magneticfield/include/G4MagHelicalStepper.icc
===================================================================
--- trunk/source/geometry/magneticfield/include/G4MagHelicalStepper.icc	(revision 1202)
+++ trunk/source/geometry/magneticfield/include/G4MagHelicalStepper.icc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4MagHelicalStepper.icc,v 1.13 2007/05/18 15:45:15 tnikitin Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Linear Step in regions of no field
Index: trunk/source/geometry/magneticfield/include/G4MagIntegratorDriver.hh
===================================================================
--- trunk/source/geometry/magneticfield/include/G4MagIntegratorDriver.hh	(revision 1202)
+++ trunk/source/geometry/magneticfield/include/G4MagIntegratorDriver.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4MagIntegratorDriver.hh,v 1.20 2007/05/10 10:10:05 japost Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/magneticfield/include/G4MagIntegratorDriver.icc
===================================================================
--- trunk/source/geometry/magneticfield/include/G4MagIntegratorDriver.icc	(revision 1202)
+++ trunk/source/geometry/magneticfield/include/G4MagIntegratorDriver.icc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4MagIntegratorDriver.icc,v 1.13 2007/05/10 10:10:48 japost Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // --------------------------------------------------------------------
Index: trunk/source/geometry/magneticfield/include/G4MagIntegratorStepper.hh
===================================================================
--- trunk/source/geometry/magneticfield/include/G4MagIntegratorStepper.hh	(revision 1202)
+++ trunk/source/geometry/magneticfield/include/G4MagIntegratorStepper.hh	(revision 1228)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4MagIntegratorStepper.hh,v 1.12 2006/09/20 09:31:01 japost Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// $Id: G4MagIntegratorStepper.hh,v 1.14 2009/11/05 18:31:15 japost Exp $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
@@ -75,10 +75,18 @@
        // over the segment last integrated.
 
+     virtual void ComputeRightHandSide( const G4double y[], G4double dydx[] ); 
+       // Must compute the RightHandSide as in the method below
+       // Optionally can cache the input y[] and the dydx[] values computed.
+
      inline void NormaliseTangentVector( G4double vec[6] );
        // Simple utility function to (re)normalise 'unit velocity' vector.
+
+     inline void NormalisePolarizationVector( G4double vec[12] );
+       // Simple utility function to (re)normalise 'unit spin' vector.
 
      inline void RightHandSide( const double y[], double dydx[] );   
        // Utility method to supply the standard Evaluation of the
        // Right Hand side of the associated equation.
+
 
      inline G4int  GetNumberOfVariables() const;
Index: trunk/source/geometry/magneticfield/include/G4MagIntegratorStepper.icc
===================================================================
--- trunk/source/geometry/magneticfield/include/G4MagIntegratorStepper.icc	(revision 1202)
+++ trunk/source/geometry/magneticfield/include/G4MagIntegratorStepper.icc	(revision 1228)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4MagIntegratorStepper.icc,v 1.10 2006/09/20 09:31:46 japost Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// $Id: G4MagIntegratorStepper.icc,v 1.12 2009/03/25 15:29:02 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
@@ -37,5 +37,6 @@
  G4MagIntegratorStepper::SetEquationOfMotion(G4EquationOfMotion* newEquation)
 {
-  if( newEquation != 0 ) {
+  if( newEquation != 0 )
+  {
     fEquation_Rhs= newEquation;
   }
@@ -55,10 +56,4 @@
 }
 
-// inline
-// void G4MagIntegratorStepper::SetNumberOfVariables(G4int newNo)
-// {
-//   fNumberOfVariables = newNo;
-// }
-
 inline
 void G4MagIntegratorStepper::RightHandSide( const  double y[], double dydx[] )   
@@ -70,10 +65,25 @@
 void G4MagIntegratorStepper::NormaliseTangentVector( G4double vec[6] )
 {
-   double drds2 = vec[3]*vec[3]+vec[4]*vec[4]+vec[5]*vec[5];
+  G4double drds2 = vec[3]*vec[3]+vec[4]*vec[4]+vec[5]*vec[5];
 
-   if( std::fabs(drds2 - 1.0) > 1.e-14 ){
-      double normx = 1.0 / std::sqrt(drds2);
-      for(int i=0;i<3;i++) 
-	 vec[i+3] *= normx;   
-   }
+  if( std::fabs(drds2 - 1.0) > 1.e-14 )
+  {
+    G4double normx = 1.0 / std::sqrt(drds2);
+    for(G4int i=3;i<6;i++) { vec[i] *= normx; }
+  }
 }
+
+inline
+void G4MagIntegratorStepper::NormalisePolarizationVector( G4double vec[12] )
+{
+  G4double drds2 = vec[9]*vec[9]+vec[10]*vec[10]+vec[11]*vec[11];
+
+  if( drds2 > 0. )
+  {
+    if( std::fabs(drds2 - 1.0) > 1.e-14 )
+    {
+      G4double normx = 1.0 / std::sqrt(drds2);
+      for(G4int i=9;i<12;i++)  { vec[i] *= normx; }
+    }
+  }
+}
Index: trunk/source/geometry/magneticfield/include/G4Mag_EqRhs.hh
===================================================================
--- trunk/source/geometry/magneticfield/include/G4Mag_EqRhs.hh	(revision 1202)
+++ trunk/source/geometry/magneticfield/include/G4Mag_EqRhs.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4Mag_EqRhs.hh,v 1.9 2006/06/29 18:23:07 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/magneticfield/include/G4Mag_SpinEqRhs.hh
===================================================================
--- trunk/source/geometry/magneticfield/include/G4Mag_SpinEqRhs.hh	(revision 1202)
+++ trunk/source/geometry/magneticfield/include/G4Mag_SpinEqRhs.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4Mag_SpinEqRhs.hh,v 1.11 2006/06/29 18:23:09 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/magneticfield/include/G4Mag_UsualEqRhs.hh
===================================================================
--- trunk/source/geometry/magneticfield/include/G4Mag_UsualEqRhs.hh	(revision 1202)
+++ trunk/source/geometry/magneticfield/include/G4Mag_UsualEqRhs.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4Mag_UsualEqRhs.hh,v 1.7 2006/06/29 18:23:12 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/magneticfield/include/G4MagneticField.hh
===================================================================
--- trunk/source/geometry/magneticfield/include/G4MagneticField.hh	(revision 1202)
+++ trunk/source/geometry/magneticfield/include/G4MagneticField.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4MagneticField.hh,v 1.14 2006/06/29 18:23:14 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/magneticfield/include/G4QuadrupoleMagField.hh
===================================================================
--- trunk/source/geometry/magneticfield/include/G4QuadrupoleMagField.hh	(revision 1202)
+++ trunk/source/geometry/magneticfield/include/G4QuadrupoleMagField.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QuadrupoleMagField.hh,v 1.4 2006/06/29 18:23:16 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/magneticfield/include/G4RKG3_Stepper.hh
===================================================================
--- trunk/source/geometry/magneticfield/include/G4RKG3_Stepper.hh	(revision 1202)
+++ trunk/source/geometry/magneticfield/include/G4RKG3_Stepper.hh	(revision 1228)
@@ -27,5 +27,5 @@
 //
 // $Id: G4RKG3_Stepper.hh,v 1.13 2007/05/18 12:44:02 tnikitin Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/magneticfield/include/G4SimpleHeum.hh
===================================================================
--- trunk/source/geometry/magneticfield/include/G4SimpleHeum.hh	(revision 1202)
+++ trunk/source/geometry/magneticfield/include/G4SimpleHeum.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4SimpleHeum.hh,v 1.8 2006/06/29 18:23:20 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/magneticfield/include/G4SimpleRunge.hh
===================================================================
--- trunk/source/geometry/magneticfield/include/G4SimpleRunge.hh	(revision 1202)
+++ trunk/source/geometry/magneticfield/include/G4SimpleRunge.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4SimpleRunge.hh,v 1.8 2006/06/29 18:23:23 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/magneticfield/include/G4UniformElectricField.hh
===================================================================
--- trunk/source/geometry/magneticfield/include/G4UniformElectricField.hh	(revision 1202)
+++ trunk/source/geometry/magneticfield/include/G4UniformElectricField.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4UniformElectricField.hh,v 1.9 2006/06/29 18:23:25 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // 
Index: trunk/source/geometry/magneticfield/include/G4UniformMagField.hh
===================================================================
--- trunk/source/geometry/magneticfield/include/G4UniformMagField.hh	(revision 1202)
+++ trunk/source/geometry/magneticfield/include/G4UniformMagField.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4UniformMagField.hh,v 1.9 2006/06/29 18:23:27 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // 
